## EXPORT_SPEC int ixmlDocument_createElementNSEx

## (IXML_Document* doc,
DOMString namespaceURI,
DOMString qualifiedName,
IXML_Element** rtElement )

> Creates a new Element node in the given qualified name and namespace URI.

## Documentation

> Creates a new Element node in the given qualified name and namespace URI.

> The ixmlDocument_createElementNSEx API differs from the ixmlDocument_createElementNS API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new node.
  namespaceURI - The namespace URI for the new Element.
  qualifiedName - The qualified name of the new Element.
  rtElement - A pointer to an Element where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc, namespaceURI, or qualifiedName is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.